Runtime

## org.eclipse.gmf.runtime.common.ui.services.elementselection
Class AbstractMatchingObject

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.elementselection.AbstractMatchingObject

All Implemented Interfaces:
  IMatchingObject

    public class AbstractMatchingObject

extends java.lang.Object
implements IMatchingObject

Abstract implementation of an IElementSelectionProvider.

Field Summary
`static java.lang.String` `DASHES` The dashes used to construct the display name.

Constructor Summary
`AbstractMatchingObject(java.lang.String name, java.lang.String displayName, Image image, IElementSelectionProvider provider)` Constructor for an AbstractMatchingObject.

Method Summary
`java.lang.String` `getDisplayName()` Retrieve the display name of the matching object, which is used to as display text by the label provider.
`Image` `getImage()` Retrieve the image of the matching object, which is used to as display icon by the label provider.
`java.lang.String` `getName()` Retrieve the name of the matching object, which is used when filtering (we filter on the concrete name, not the display name).
`IElementSelectionProvider` `getProvider()` Retrieve the type selection provider that that provided this matching object.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DASHES

    public static java.lang.String DASHES

  The dashes used to construct the display name.

Constructor Detail

### AbstractMatchingObject

    public AbstractMatchingObject(java.lang.String name,
                                  java.lang.String displayName,
                                  Image image,
                                  IElementSelectionProvider provider)

  Constructor for an AbstractMatchingObject.

  Parameters:
    `name` - the name of the matching object.
    `displayName` - The display name of the matching object.
    `image` - The image of the matching object.
    `provider` - The element selection provider that that provided this matching object.

Method Detail

### getName

    public java.lang.String getName()

  Retrieve the name of the matching object, which is used when filtering (we filter on the concrete name, not the display name).

  Specified by:
    `getName` in interface `IMatchingObject`
  Returns:
    the name of the matching object

### getDisplayName

    public java.lang.String getDisplayName()

  Retrieve the display name of the matching object, which is used to as display text by the label provider.

  Specified by:
    `getDisplayName` in interface `IMatchingObject`
  Returns:
    the display name of the matching object.

### getImage

    public Image getImage()

  Retrieve the image of the matching object, which is used to as display icon by the label provider.

  Specified by:
    `getImage` in interface `IMatchingObject`
  Returns:
    the image of the matching object.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getProvider

    public IElementSelectionProvider getProvider()

  Retrieve the type selection provider that that provided this matching object.

  Specified by:
    `getProvider` in interface `IMatchingObject`
  Returns:
    the type selection provider.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.